@import '../../theme-variables';

:host {
    h1 {
        font-size: 3em;
        font-weight: 300;
        text-align: center;
        color: $hl-color;
        margin-top: 0;
    }
    h5 {
        text-align: center;
        text-transform: uppercase;
        color: $muted-color;
    }
    
    .wrapper {
        // width: $width;
        // margin: 20px auto;
        background-color: #181829;
        box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.4);
    }

    ul {
        list-style:none;
        font-size:18px;
        text-align:center;
        margin-top:5px;
        padding: 0;
      }
      
      li {
        position:relative;
        display:inline;
      }
      
      li a {
        text-decoration:none;
        color:rgb(241, 234, 234);
        display:inline-block;
        padding:10px;

        &.activated {
          color: #0088CC;
        }
      }
      
      span {
        display:block;
        width:calc(100% - 23px);
        height:4px;
        background:#0088CC;
        position:absolute;
        left:10px;
        bottom:-10px;
      }
      
      li a:hover {
           color:#0088CC;
      }
      
      li a:hover ~ span {
            animation:ul 0.3s ease-out;
         background:#333;
      }
      
      @keyframes ul {
           0% { 
          width:0;
        }
        100% { 
          width:calc(100% - 23px);
        }
      }
}
